Contacts
List contacts
GET
/
api
/
v1
/
contacts
List contacts
curl --request GET \
--url https://api.linebundle.com/api/v1/contactsimport requests
url = "https://api.linebundle.com/api/v1/contacts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/contacts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_favorite": true,
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"website": "<string>",
"$schema": "https://api.linebundle.com/schemas/Contact.json"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyContact.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Page number (1-based)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Search term for name/email/company
Field to sort by
Sort direction
Available options:
asc, desc Filter by favorite status
Available options:
true, false, Response
OK
List of results
Show child attributes
Show child attributes
Current page (1-based)
Page size
Total matching records
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/PagedBodyContact.json"
Last modified on June 11, 2026
⌘I
List contacts
curl --request GET \
--url https://api.linebundle.com/api/v1/contactsimport requests
url = "https://api.linebundle.com/api/v1/contacts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/contacts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_favorite": true,
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"website": "<string>",
"$schema": "https://api.linebundle.com/schemas/Contact.json"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyContact.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}